Posted on

MEAP & Cubase 9.5 Compatibility

Cubase 9.5

Cubase 9.5 compatibility: MEAP version 7.90.989 has been tested with Cubase 9.5 and is working perfectly well.

Just select Cubase 8.5 / 9 as your audio application Series and you’re good to go.

Audio Application Series
Audio Application Series

Please let me know if you come across any issues.